Get extraction results
curl --request GET \
--url https://eval-api.trential.dev/partner/v1/cases/{id}/extraction \
--header 'x-api-key: <api-key>'import requests
url = "https://eval-api.trential.dev/partner/v1/cases/{id}/extraction"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://eval-api.trential.dev/partner/v1/cases/{id}/extraction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"meta": {},
"data": {
"id": "<string>",
"credentials": [
{
"credentialId": "<string>",
"status": "queued",
"candidate": {
"fullName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"dateOfBirth": "<string>"
},
"institution": {
"name": "<string>",
"country": "<string>",
"countryCode": "<string>",
"state": "<string>",
"stateCode": "<string>",
"accreditation": {
"isAccredited": true,
"isRecognized": true,
"lastChecked": "2023-11-07T05:31:56Z"
}
},
"qualification": {
"registrationNumber": "<string>",
"name": "<string>",
"level": "<string>",
"program": "<string>",
"majorOrSpecialization": "<string>",
"status": "<string>",
"yearOfAdmission": null,
"yearOfCompletion": null,
"programDuration": null,
"dateOfIssue": "<string>",
"cgpa": null,
"totalCreditsOrMarks": null
},
"courses": [
{
"id": "<string>",
"courseNumber": "<string>",
"courseName": "<string>",
"credit": null,
"grade": "<string>",
"alternateGrade": "<string>",
"marksScored": null,
"maximumMarks": null,
"passStatus": "<string>",
"term": "<string>",
"session": null,
"year": null
}
],
"uploadId": "<string>",
"credentialType": "<string>",
"languageCode": "<string>",
"language": "<string>"
}
],
"externalId": "<string>"
}
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Results
Get extraction results
Returns structured data extracted from all credentials in the case.
GET
/
cases
/
{id}
/
extraction
Get extraction results
Authorizations
Partner API key. Also accepted as Authorization: Bearer <key>.
Path Parameters
TruEnroll case ID.
⌘I